double {base} | R Documentation

## Double Precision Vectors

### Description

Create, coerce to or test for a double-precision vector.

### Usage

    double(length = 0)
    as.double(x, ...)
    is.double(x)
    single(length = 0)
    as.single(x, ...)

### Value

`double` creates a double precision vector of the specified length. The elements of the vector are all equal to `0`.
`as.double` attempts to coerce its argument to be of double type.
`is.double` returns `TRUE` or `FALSE` depending on whether its argument is of double type or not.

### Note

R has no single precision data type. All real numbers are stored in double precision format. The functions `as.single` and `single` are identical to `as.double` and `double` except they set the attribute `Csingle` that is used in the `.C` and `.Fortran` interface, and they are intended only to be used in that context.

### See Also

`integer`.

### Examples

    is.double(1)
    all(double(3) == 0)